:root {
	--drawer-width: 498px !important;
}

:root :where(.wp-block-woocommerce-mini-cart-contents) {

	.wc-block-mini-cart__title {
		padding: var(--wp--preset--spacing--6) var(--wp--preset--spacing--12);
		margin: 0;
		border-bottom: 1px solid var(--wp--preset--color--slate-200);
		mask: none;
	}

	span.wc-block-components-totals-item__label,
	.wc-block-mini-cart__title {
		font-size: 20px;
		font-weight: 600;
		line-height: 1.4;
		color: var(--wp--preset--color--slate-800);
	}

	.wc-block-components-button.wc-block-components-drawer__close {
		right: 50px;
		top: 26px;
	}

	.wp-block-woocommerce-mini-cart-items-block {
		padding: var(--wp--preset--spacing--6) var(--wp--preset--spacing--10);
	}

	.wc-block-cart-item__image {
		padding-right: var(--wp--preset--spacing--6) !important;

		img {
			border-radius: 16px;
			width: 104px !important;
			height: 104px;
			max-width: initial;

			@media (max-width: 767px) {
				width: 80px !important;
				height: 80px;
			}
		}
	}

	.wc-block-cart-items__row {
		display: flex !important;
	}

	.wc-block-components-product-name {
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;
		max-width: 218px !important;
		margin-right: var(--wp--preset--spacing--4);
		margin-bottom: var(--wp--preset--spacing--1) !important;

		@media (max-width: 767px) {
			white-space: initial;
		}
	}

	.wc-block-formatted-money-amount,
	.wc-block-components-product-name {
		font-size: 16px !important;
		line-height: 24px !important;
	}

	.wc-block-cart-item__prices,
	.wc-block-formatted-money-amount,
	.wc-block-components-product-name {
		font-weight: 525;
		color: var(--wp--preset--color--slate-800);
		text-decoration: none;
	}

	.wc-block-cart-item__prices .wc-block-formatted-money-amount,
	.wc-block-cart-item__prices {
		font-size: 18px !important;
		line-height: 28px !important;
	}

	.wc-block-components-sale-badge,
	.wc-block-components-sale-badge span {
		color: var(--wp--preset--color--white);
		font-weight: 500;
	}

	.wc-block-components-sale-badge {
		border: none;
		background-color: var(--wp--preset--color--green);
		border-radius: 100px;
		padding: 2px 14px;
		text-transform: capitalize;
		font-size: 12px;
	}

	.wc-block-components-sale-badge span {
		font-size: 14px !important;
	}

	td.wc-block-cart-item__total .wc-block-components-sale-badge,
	.wc-block-components-product-metadata__description {
		display: none;
	}

	.wc-block-cart-item__quantity {
		flex-direction: row !important;

		@media (max-width: 767px) {
			flex-direction: column !important;
		}
	}

	.wc-block-components-totals-item__description,
	button.wc-block-cart-item__remove-link {
		font-size: 14px !important;
		color: var(--wp--preset--color--slate-700);
	}

	button.wc-block-cart-item__remove-link {
		font-weight: 525 !important;
	}

	.wc-block-components-quantity-selector {
		border: 2px solid  var(--wp--preset--color--slate-200);
		border-radius: 9px;
		height: 32px;
		width: 96px;
	}

	input.wc-block-components-quantity-selector__input {
		font-size: 12px;
		padding: 0;
		min-height: 28px;
		max-width: 36px;
		min-width: initial;
	}

	.wc-block-mini-cart__footer {
		border-top-color: var(--wp--preset--color--slate-200);
		padding: var(--wp--preset--spacing--8) var(--wp--preset--spacing--12);
	}

	.wc-block-components-totals-item__description,
	span.wc-block-components-totals-item__label {
		margin-bottom: var(--wp--preset--spacing--2);
	}

	.wc-block-mini-cart__footer-subtotal .wc-block-components-totals-item__value {
		font-size: 20px !important;
	}

	.wc-block-mini-cart__footer-actions {
		gap: var(--wp--preset--spacing--5) !important;

		a {
			padding: var(--wp--preset--spacing--3) var(--wp--preset--spacing--5);
			border-radius: 12px;
			font-size: 14px;

		}
	}

	.wc-block-mini-cart__footer-cart {
		border: 2px solid var(--wp--preset--color--slate-200) !important;
		box-shadow: none !important;

		div {
			color: var(--wp--preset--color--slate-700);
		}

		&:focus div {
			color: var(--wp--preset--color--white);
		}
	}

	.wp-element-button.wc-block-mini-cart__footer-cart:hover div {
		color: #fff;
	}

	.wc-block-mini-cart__empty-cart-wrapper .wp-block-button a,
	.wc-block-mini-cart__footer-checkout {
		border: 2px solid var(--wp--preset--color--blue-700);
	}

	.wc-block-mini-cart__empty-cart-wrapper {

		strong {
			font-size: 24px;
			font-weight: 600;
			line-height: 32px;
			color: var(--wp--preset--color--slate-800);
		}

		.wp-block-button {
			margin-top: 32px;
		}

		p::before {
			background-image: url("../../../../assets/images/banners/empty-cart.webp");
			margin: 0 auto;
			margin-bottom: var(--wp--preset--spacing--14);
			width: 189px;
			height: 195px;
			aspect-ratio: 63/65;
			mask-image: none;
			display: block;
			content: "";
		}

		.wp-block-button a {
			padding: var(--wp--preset--spacing--3) var(--wp--preset--spacing--5);
			border-radius: 12px;
		}

		.wc-block-components-button__text {
			font-size: 14px;
			font-weight: 525;
			line-height: 20px;
		}
	}
}
